
[error]

FSC_ERR_FAIL    = 
                    
FSC_ERR_INVALID_PARS  =
              
FSC_ERR_NOT_SUPPORT   = "Function is not supported."
              
FSC_ERR_NO_MEMORY    = "Insufficient disk space."
               
FSC_ERR_USER_CANCEL   = "The user cancelled the operation."
              
FSC_ERR_NOT_INIT =                   
						 
FSC_NO_MORE_FILE    = "Cannot query more files."  
              
FSC_FILE_IS_EXSITED    = "The file already exists."
             
FSC_FILE_NOT_EXSIT    = "The file does not exist."
              
FSC_FILE_OPEN_FAIL = "The file may not exists, or it is open in another program."

FSC_FILE_READ_FAIL ="The file may not exists, or it is open in another program."

FSC_FILE_WRITE_FAIL = "The file may not exists, or it is open in another program."                

FSC_FILE_SEEK_FAIL = "Failed to locate the file."
  
FSC_FILE_NAME_CONFLICT = "A file with the same name already exists."              

FSC_SPACE_NOT_ENOUGH = "The disk space is not enough to save files."
                
FSC_LAST_FIND_NOTEND  =              

FSC_PYTHON_EXCUTE_ERROR = "Cloud module error, there may be a network problem."
FSC_USE_GDDOWNLOADER_WITHOUT_INIT =	
FSC_TRANS_STOPED_BY_USER = "Transmission is paused by user."			
FSC_FUNC_NOT_IN_MODULE =

FSC_CREATE_EVENT_FAILED	=		    
FSC_PIPE_NOT_FOUND =
FSC_PIPE_TIME_OUT =					
FSC_WAIT_EVENT_ERR =					
FSC_CREATE_PROCESS_FAILED =			
FSC_PIPE_CMDTYPE_ERROR =			
FSC_PIPE_MSG_ERROR =					
FSC_CREATE_CLOUD_PROCESS_FAILED =		
FSC_PIPE_NOT_OPENED =					
FSC_PIPE_IS_EXSIT =					
FSC_CREATE_NAMED_PIPE_FAILD =			
FSC_INVALID_PIPE_NAME =				
FSC_BUFFER_TOO_SMALL =				
FSC_CLOUD_NOT_AUTH	= "The cloud service is not authorized."				

FSC_CLOUD_AUTH_TIMEOUT	= "Cloud service authorizing timeout."
			
FSC_COULDNOT_FIND_DOWNLOAD_URL	 = "Cannot find URL to download file from cloud storage."	
FSC_ERR_PATH_IN_USING	= "The directory is being used."			
FSC_ERR_PATH_NOT_EXIST	= "The directory does not exist."			

FSC_GET_FILE_MODIFIED_TIME_FAILED	= "Failed to acquire the modified date of the file."
FSC_SET_FILE_MODIFIED_TIME_FAILED	= "Failed to set the modified date of the file."

FSC_ERR_FAILED_PARTIAL	=			
FSC_ERR_NET_FAIL_CONN = "Failed to connect network."				

FSC_UNKHOWN_FTP_SERVER_TYPE	= "Unknown FTP Server type. Cannot connect to FTP server."		

FSC_PIPE_NOT_INIT =					
FSC_FTP_COMM_ERR	= "Cannot connect to FTP server."				
FSC_GETFILENAME_FAILED =				
FSC_WATCHER_IS_EXSIT	=			

FSC_LOGIN_TIMEOUT	= "Login timeout."				
FSC_STOR_NOT_OPENED	= "Cannot connect to the device."				
FSC_ERR_DST_UNAVAILABE = "The destination is not available."				
FSC_OPEN_REG_FAILED		= "Failed to open the Registry."			
FSC_READ_REG_FAILED	= "Failed to read the Registry."				
FSC_ERR_NOT_NEED_SYNC   = "No file needs to be synchronized."            
FSC_ERR_STORAGE_UNUSABLE   = "The destination device is not available."         
FSC_ERR_TOKEN_IS_INVALID	= "The cloud account is not authorized."
FSC_ERR_USER_DENY_ACCESS   = "Authorization denied. Please login your account and agree to allow access."		

FSC_ERR_SPACE_NOTENOUG  = "The disk space is not enough to save files." 			

FSC_ERR_ACCESS_DENIED    = "Access denied."   		
FSC_ERR_PROGRAM_EXITED   =   		
FSC_ERR_INVALID_DATA	=			
FSC_ERR_NOT_INSTALLED_DOTNET45 =		
FSC_ERR_SYNC_SHUTTED =         		
FSC_ERR_SYNCTASK_NOTCHANG  =   		
FSC_ERR_FILENAME_INVALID = "Invalid file name. A file name can't contain any of the following characters: \ / : * ? " < > |"

FSC_ERR_CREATE_DIR = "Failed to create folder."

FSC_ERR_APP_INSUFFICIENT_PRIVILEGES = "Insufficient permissions, please start the program with the administrator."
FSC_ERR_ACCESS_SHARE = "Cannot access a shared directory."
FSC_ERR_NOT_SHARELOCALPATH =
FSC_ERR_TASK_EXIST  = "Task already exists."

FSC_ERR_FOLDER_IS_EMPTY = "Please select a folder to synchronize first."

FSC_ERR_RENAME_FAIL = "Failed to rename."
FSC_ERR_OPERATION_FAILED = "Operation failed. Please check user permissions or disk space and then retry."

FSC_ERR_FTP_BASE =  "0xX100"
FSC_ERR_FTP_USER_ERROR   = "Login failed - Incorrect username or password."          
FSC_ERR_FTP_PWD_ERROR  = "Login failed - Incorrect username or password."            
FSC_ERR_FTP_LOGIN_ERROR   = "FTP login failed."    